org.apache.cassandra.io.util

## Class RandomAccessReader.BufferedRandomAccessFileMark

- java.lang.Object
- - org.apache.cassandra.io.util.RandomAccessReader.BufferedRandomAccessFileMark

All Implemented Interfaces:
  FileMark

Enclosing class:
  RandomAccessReader

    protected static class RandomAccessReader.BufferedRandomAccessFileMark
    extends java.lang.Object
    implements FileMark

Class to hold a mark to the position of the file

### Constructor Summary

Constructors
Constructor and Description
`BufferedRandomAccessFileMark(long pointer)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BufferedRandomAccessFileMark

    public BufferedRandomAccessFileMark(long pointer)